package com.organization

import scala.util.Properties.envOrElse

object Environment {
  val letsEncryptUrl: String = "http://r10.o.lencr.org"
  val baseUrl: String = envOrElse("BASE_URL", "subdomain.organization.com")
  val testUser: String = envOrElse("TEST_USER", "undefined")
  val testPwd: String = envOrElse("TEST_PWD", "undefined")
  val fullUrl: String = "https://"+baseUrl
  val userCount: String = envOrElse("USER_COUNT", "1")
  val rampDuration: String = envOrElse("RAMP_DURATION", "1")
  val testDuration: String = envOrElse("TEST_DURATION", "1")
}